Obtenir un jeu de données
curl --request GET \
--url https://distillation.training.wandb.ai/v1/tasks/{alias}/datasets/{datasetId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://distillation.training.wandb.ai/v1/tasks/{alias}/datasets/{datasetId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://distillation.training.wandb.ai/v1/tasks/{alias}/datasets/{datasetId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"task_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"params": {
"query": {
"source": "task",
"after": "2023-11-07T05:31:56Z",
"before": "2023-11-07T05:31:56Z",
"filters": {
"task_version": 1073741824,
"resolved_provider": "<string>",
"resolved_model": "<string>",
"metadata": {}
}
},
"sampling": {
"strategy": "random",
"limit": 50000
},
"split": {
"val": 0.5,
"by": "trace"
}
},
"revision": 123,
"status": "building",
"build_progress": {
"stage": "discovering",
"processed": 123,
"total": 123,
"imported": 123
},
"entry_counts": {
"total": 123,
"train": 123,
"val": 123
},
"relabel_runs": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dataset_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dataset_revision": 123,
"model_ref": "openai/gpt-5.6-sol",
"status": "queued",
"output_count": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"error": "<string>"
}
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}{
"error": {
"message": "Task 'missing' not found in entity 'your-team'",
"type": "not_found"
}
}Obtenir un jeu de données
GET
/
tasks
/
{alias}
/
datasets
/
{datasetId}
Obtenir un jeu de données
Autorisations
Une clé API W&B.
En-têtes
entity personnel ou d’équipe accessible. Omettez ce champ pour utiliser l’entity par défaut de l’utilisateur authentifié.
Paramètres de requête
Lire une version immuable précise du jeu de données plutôt que la dernière version.
Plage requise:
0 <= x <= 9007199254740991Réponse
Jeu de données et décompte des entrées présentes.
Show child attributes
Show child attributes
Options disponibles:
building, ready, failed Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Dernière modification le 30 septembre 2026
Cette page vous a-t-elle été utile ?